package com.jiuqi.util;

package .tmp;

import com.jiuqi.util.DBConnect;
import java.sql.Connection;
import java.sql.SQLException;

class InnerConnection {
  int connUser = 0;
  
  Connection connectionInner = null;
  
  public synchronized Connection getConnection() throws SQLException {
    if (this.connectionInner == null)
      try {
        this.connectionInner = DBConnect.this.createConnection();
      } catch (SQLException ex) {
        throw ex;
      } catch (Exception ex) {
        throw new SQLException(ex.toString());
      }  
    this.connUser++;
    return this.connectionInner;
  }
  
  public synchronized void releaseConnection() {
    this.connUser--;
    if (this.connUser == 0)
      try {
        DBConnect.this.destroyConnection(this.connectionInner);
      } catch (SQLException ex) {
      
      } finally {
        this.connectionInner = null;
      }  
  }
}
